error by using inputstream.rtmp

  • Hey there,


    I have installed inputstream.rtmp-1.0.4 (inputstream.rtmp).


    When I try to open my strm-file (content: rtmp://192.123.456.789:2000/test), it leads to following log file error:


    What does this error mean? How can I handle it?


    System:
    - Odroid C2
    - Libreelec 7.95.3 BETA (Kodi 17 final)
    - MonaServer + OpenBroadcasterSoftware (RTMP Server + Streamer)

  • I don't know what this error is but I would advise you to update LE to 8.0.0 and install inputstream.rtmp from official LE repository that you can find in Kodi addons menu.

    Edited once, last by kszaq ().


  • I don't know what this error is but I would advise you to update LE to 8.0.0 and install inputstream.rtmp from official LE repository that you can find in Kodi addons menu.


    Thanks for your answer.


    I updated to 8.0.0.
    When I try to install the inputstream.rtmp (1.0.4.0) I get following in my log:

    Code
    1. ERROR: ADDON: no available versions of inputstream.rtmp


    The other inputstream (adaptive) was install-able.


    So, what's this error mean? Do I need to updated something else? :-/

    Edited once, last by eusi ().

  • It means the version of inputstream.rtmp in the Kodinerds repo was compiled against an older (now out of date and incompatible) Kodi API version.


    Install the officially supported (and compatible) one from the LE repo - or post in Kodinerds forums.


  • It means the version of inputstream.rtmp in the Kodinerds repo was compiled against an older (now out of date and incompatible) Kodi API version.


    Install the officially supported (and compatible) one from the LE repo - or post in Kodinerds forums.


    Thx for response!


    Actually I tried to install the official inputstream.rtmp from LE repo.
    I went in the UI to Addons - Addons browser - Install from repository - LibreELEC Addons (8.1.0) - VideoPlayer InputStream - RTMP Input (by spiff) -> install


    This leads to the error above :(
    Do I need to change a version number manually or something like that?

    Edited once, last by eusi ().